#ifdef OPENGL_ES
precision highp float;
#endif

uniform sampler2D u_diffuseTexture;

varying vec2 o_vUV;

// fog
const float fNear = 0.0;
const float fFar = 4.0;

void main()
{
	vec4 C = texture2D(u_diffuseTexture, o_vUV);
	float A = C.w;

// fog
	//float F0 = gl_FragCoord.z / gl_FragCoord.w;
	//float F1 = (fFar - F0) / (fFar - fNear);
	//F1 = clamp(F1, 0.0, 1.0);
	//C = C * F1 + vec4(0.01, 0.01, 0.01, 1.0) * (1.0 - F1);

	gl_FragColor = vec4(C.xyz, A);
}
