attribute vec4 a_position;
attribute vec3 a_normal;
attribute vec2 a_texCoord;

uniform mat4 u_worldViewProjectionMatrix;
uniform mat4 u_worldMatrix;
uniform vec3 u_cameraPosition;

varying vec3 o_vNml;
varying vec2 o_vUV;
varying vec3 o_vEye;

void main()
{
	o_vNml = mat3(u_worldMatrix) * a_normal;
	o_vUV = a_texCoord;
	o_vEye = u_cameraPosition;
	gl_Position = u_worldViewProjectionMatrix * a_position;
}
